c
c adc values
c *** WARNING ***
c must be preceded by the include file ./inc/hec_par.inc
c 
c adc values for time slice i_t
c i_adc_ic_t(ic, i_t)                   adc values   "adc channel system" 
c i_adc_db_t(i_mod, i_seg, i_pad, i_t)  adc values   "database system" 
c i_adc_ph_t(i_eta, i_phi, i_z, i_t)    adc values   "physics system"
c
c first time slice only (useful for 1996 data)
c i_adc_ic(ic)                   adc values   "adc channel system" 
c i_adc_db(i_mod, i_seg, i_pad)  adc values   "database system" 
c i_adc_ph(i_eta, i_phi, i_z)    adc values   "physics system"
c
      integer i_adc_ic_t(1:i_adc_dim, 
     +                   1:i_tim_dim)
      integer i_adc_db_t(1:i_mod_max, 1:i_seg_max, 1:i_pad_max, 
     +                   1:i_tim_dim)
      integer i_adc_ph_t(1:i_eta_max, 1:i_phi_max, 1:i_z_max, 
     +                   1:i_tim_dim)
c
      integer i_adc_ic(1:i_adc_dim)
      integer i_adc_db(1:i_mod_max, 1:i_seg_max, 1:i_pad_max)
      integer i_adc_ph(1:i_eta_max, 1:i_phi_max, 1:i_z_max)
c
c equivalence for first time sampling
c
      equivalence (i_adc_ic(1), i_adc_ic_t(1, 1))
      equivalence (i_adc_db(1, 1, 1), i_adc_db_t(1, 1, 1, 1))
      equivalence (i_adc_ph(1, 1, 1), i_adc_ph_t(1, 1, 1, 1))
c
      common /adccom/ i_adc_ic_t,
     +                i_adc_db_t,
     +                i_adc_ph_t
c
