      subroutine hec_evt
c
c process event
c
c 1- fill adc values for the different coordinate systems
c 2- produce useful trigger words
c 3- produce calibrated channel values (in nA)
c
      implicit none
c
c adc values in the adc channel system (ic) are directly read
c from testbeam data.
c fill the adc values arrays for 
c - the database system (db)
c - the physics system  (ph)
c 
      call hec_adc_fill
c
c process trigger bits from pattern units and produce useful
c trigger words to be found in hec_trig.inc
c
      call hec_trig
c
      end
