      subroutine hec_geoe
c
c read bank GEOE
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_geo.inc'
c
c adc values common
c
      include'./inc/hec_adc.inc'
c
c local variables
c
      integer i
      integer k
      integer adc               !adc value
      integer ic                !adc channel number
c
c reset adc array
c
      call vzero(i_adc_ic, i_adc_dim)
c
c loop over adc in bank and fill common
c
      k=nint(q(ipoint + 1))
      do i = 2, k, 2
        ic = nint(q(ipoint + i))
        adc = nint(q(ipoint + i + 1))
        if (ic .le. 0) then
          print *, ' *** bad pad number in hec_geoe', ic
          stop
        elseif (ic .le. i_adc_used) then
          i_adc_ic(ic) = adc
        else
          print *, ' *** ic > i_adc_used in hec_geoe', ic
          stop
        endif
      enddo
c
c     print *, ' *** GEOE read'
c
      end
