      subroutine hec_io_ini
c
c data io initialization
c
      implicit none      
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
      integer ierr
c
c initialize zebra
c
      if (in_typ(1) .eq. 1) then
        call mzebra(-1)
        ixstor=0
        call mzstor(ixstor, '/zzz/', '.', ifence, lev, blvect(1),
     +  blvect(1), blvect(100000), blvect(1600001))
        if (ixstor .ne. 0) then
          print *, ' from mzstor: ixstor = ', ixstor
          stop
        endif
c
c open zebra file
c
        open(in_typ(2), file='bank.fz', form='unformatted', 
     +  status='old')
c
c initialize epio
c
      elseif (in_typ(1) .eq. 2) then
        call epinit
        call epsetw(in_typ(2), 1, lepbuf, ierr)
        if (ierr .ne. 0) then
          print *, ' *** error calling epsetw in hec_io_ini', ierr
          stop
        endif
      else
        print *, ' *** unknown input data file type ', in_typ(1)
        stop
      endif
c
      end
