      subroutine hec_pass2
c
c pass 2 over data set
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c local variable declaration
c
      logical hec_nextevt
      external hec_nextevt
c
      print *, ' '
      print *, ' *** starting user pass 2'
c
c initialise data io for pass
c
      call hec_io_pass_ini
c
c loop over events
c
      i_event = 1
      do while (hec_nextevt() .and. i_event .le. n_evtmax)
        if (mod(i_event, 1000) .eq. 0 .or. i_event .eq. 1) then
          print *, ' *** starting event number ', i_event
        endif
c
c process event
c
        call hec_evt
c
c user analysis for a given event
c
        call user_evt2
c
c handle end of event data io
c
        call hec_io_pass_evt
c
        i_event = i_event + 1
      enddo                     ! enddo over events
      i_event = i_event - 1
      print *, ' *** events processed      ', i_event
c
c user analysis at end of event loop
c
      call user_ana2
c
c handle data io at pass end
c
      call hec_io_pass_ter
c
      print *, ' *** user pass 2 done'
c
      end

 
              
            
          
