      subroutine hec_runh
c
c read bank RUNH
c
      implicit none
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c run header common
c
      include'./inc/hec_runh.inc'
c
c local variables
c
      integer ind2
c
c get appropriate index
c
      ind2 = 2*ipoint
c
c fill runcom
c
      run_no = iq2(ind2 + 4)
      e_beam = iq2(ind2 + 5)
      i_part = iq2(ind2 + 6)
      x_cryo = iq2(ind2 + 7)
      y_tabl = iq2(ind2 + 8)
c
c print run banner
c
      write(*, 1020) run_no, e_beam, i_part, x_cryo, y_tabl 
 1020 format (//1x,27(1h*)/1x,1h*,25x,1h*/
     +1x,'* run number    =',i8,2h */
     +1x,'* beam energy   =',i8,2h */
     +1x,'* particle code =',i8,2h */
     +1x,'* x_cryostat    =',i8,2h */
     +1x,'* y_table       =',i8,2h */
     +1x,1h*,25x,1h*/1x,27(1h*)//)
c
c     print *, ' *** RUNH read'
c
      end
