      subroutine hec_his_evt1
c
c pass 1 system histograms filling event routine
c
      implicit none
c
c adc values common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_adc.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_geo.inc'
c
c pedestal values common
c
      include'./inc/hec_ped.inc'
c
c system histogram id common
c
      include'./inc/hec_his_sys.inc'
c
      integer ic, i_z
      real sig, sig_sum(1:i_z_max)
c
c do over all adc channels and sum adc-ped for each tower depth
c
      call vzero(sig_sum, i_z_max)
      do ic = 1, i_adc_used
        sig = real(i_adc_ic(ic)) - adc_ped(ic)
        i_z = ictoph(ic, 3)
        sig_sum(i_z) = sig_sum(i_z) + sig
      enddo
c
c fill histograms
c
      do i_z = 1, i_z_used
        call hfill(id_adc_z + i_z, sig_sum(i_z), 0., 1.)
      enddo
c
      end
