c
c common for datacard values
c
c card    variable   
c
c intyp   in_typ    i  1= input data file type flag (1 is ZEBRA)
c                                                   (2 is EPIO)
c                   i  2= logical unit for data file reading
c npass   n_pass    i  1= number of analysis passes (<4)
c nevtm   n_evtmax  i  1= maximum number of events to analyse per pass
c runpd   irunpd    i  1=1 may96 run period
c                      1=2 jul96 run period
c                      1=3 sep96 run period
c                      1=4 feb97 run period (technical)
c mkped   mk_ped    i  1=>0 make pedestals
c         sc_ped    r  2= sigma cut for pedestal production
c         io_ped    i  3= read pedestal file flag    (>0 = read ped)
c                   i  4= logical unit for pedestal file reading
c                   i  5= output pedestal file flag  (>0 = write ped)
c                   i  6= logical unit for pedestal file writing
c mkist   mk_his    i  1= system histograms flag     (>0 = make his)
c         io_his    i  2= logical unit for system histogram file writing
c iocal   io_cal    i  1= read calibration file flag (>0 = read cal)
c                   i  2= logical unit for calibration file reading
      integer in_typ(2)
      integer n_pass
      integer n_evtmax
      integer irunpd
      integer mk_ped
      real    sc_ped
      integer io_ped(4)
      integer mk_his
      integer io_his
      integer io_cal(2)
c
      common /datcom/ in_typ,
     +                n_pass,
     +                n_evtmax,
     +                irunpd,
     +                mk_ped, sc_ped, io_ped,
     +                mk_his, io_his,
     +                io_cal
c

