      PROGRAM hec_adc
c
c program to provide simple access to atlas hadronic endcap 
c testbeam data
c Michel Lefebvre
c Dugan O'Neil
c
c version 2.5   06/05/97
c
c see file hec_adc.versions for an update of the code versions
c see file hec_adc.readme for information
c
c please send comments to uvatlas@uvic.ca
c
      implicit none
c
c zebra and paw commons
c
      include'./inc/hec_buf.inc'
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c system initialization
c
      call hec_ini
c
c pedestal package
c
      call hec_ped
c
c system histograms package
c
      call hec_his
c
c user initialization
c
      call user_ini
c
c pass 1 over data set for user
c
      if (n_pass .ge. 1) call hec_pass1
c
c pass 2 over data set for user
c
      if (n_pass .ge. 2) call hec_pass2
c
c pass 3 over data set for user
c
      if (n_pass .ge. 3) call hec_pass3
c
c termination
c
      call hec_ter
c
      print *,' *** hec_adc program normal termination'
      stop
      end
