      subroutine hec_dwpc_epio
c
c read bank DWPC
c
      implicit none
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c beam chamber parameter DWPC common
c
      include'./inc/hec_dwpc.inc'
c
c local variable declarations
c
      integer i
c
c zero the beam chamber raw data array
c
      call vzero(dwpc_words, dwpc_dim)
c
      n_dwpc = ibankbuf(1) - 1
c
      if (n_dwpc .gt. dwpc_dim) then
        print *, ' *** dwpc_words array too small in hec_dwpc_epio',
     +  n_dwpc, dwpc_dim
        stop
      elseif (n_dwpc .gt. 0) then
        do i = 1, n_dwpc
          dwpc_words(i) = ibankbuf(i + 2)
        enddo
      endif
c
      end
