      subroutine hec_his_ini
c
c book general histograms 
c
      implicit none
c
      integer i_z
      character*30 ct
      character*1 cd
c
c system histogram id common
c
      include'./inc/hec_his_sys.inc'
c
c geometry correspondence tables common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_geo.inc'
c
c adc pedestal values
c
      call hbook1(id_ped, 'adc pedestals', 100, 0., 500., 0.)
      call hbook1(id_ped_ic, 'adc pedestals vs ic', i_adc_used, 
     +            0.5, i_adc_used + 0.5, 0.)
c
c adc pedestal values 
c
      call hbook1(id_rms, 'adc pedestals rms', 100, 0., 50., 0.)
      call hbook1(id_rms_ic, 'adc pedestals rms vs ic', i_adc_used, 
     +            0.5, i_adc_used + 0.5, 0.)
c
c adc-ped distribution for each tower depth
c
      do i_z = 1, i_z_used
        write(cd, '(i1)') i_z
        ct = 'adc - ped for tower depth '//cd
        call hbook1(id_adc_z + i_z, ct, 100, -500., 2500., 0.)
      enddo
c
      end
