      subroutine hec_ped
c
c pedestals package
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c read pedestal file if requested
c
      if (io_ped(1) .eq. 1) call hec_ped_read
c
c make pedestals if requested
c
      if (mk_ped .ne. 1) return
c
c first pass over data set
c
      call hec_ped_pass1
c
c second pass over data set if required
c
      if (sc_ped .gt. 0.) call hec_ped_pass2
c
      print *, ' *** end of pedestal computation'
c
c the writing of the pedestal file is done in the system termination
c phase (hec_ter.f) to allow the user to output user modified
c pedestals
c
      end

 
              
            
          
