hec_adc: user_ana1.o \
         user_card.o \
         user_evt1.o \
         user_ini.o \
         user_ter.o \
         ../hec_adc.a
	fort77 +ppu -V -O2 -o hec_adc \
         user_ana1.o \
         user_card.o \
         user_evt1.o \
         user_ini.o \
         user_ter.o \
         ../hec_adc.a \
        `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib'

user_ana1.o: user_ana1.f \
             user_common.inc
	fort77 -c +ppu -V -O2 user_ana1.f

user_card.o: user_card.f \
             user_datacard.inc
	fort77 -c +ppu -V -O2 user_card.f

user_evt1.o: user_evt1.f \
             user_common.inc \
             user_datacard.inc
	fort77 -c +ppu -V -O2 user_evt1.f

user_ini.o: user_ini.f \
             user_common.inc \
             user_datacard.inc
	fort77 -c +ppu -V -O2 user_ini.f

user_ter.o: user_ter.f
	fort77 -c +ppu -V -O2 user_ter.f



